%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-stack_data
Version:       0.6.3
Release:       1mamba
Summary:       Extract data from python stack frames and tracebacks for informative displays
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/alexmojaki/stack_data
Source:        https://pypi.debian.net/stack-data/stack_data-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(asttokens)
BuildRequires: python3.11dist(executing)
BuildRequires: python3.11dist(pure-eval)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n stack_data-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 0.6.3-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.2-1mamba
- package created using the webbuild interface
